
BEGIN {
  unless ($ENV{AUTHOR_TESTING}) {
    require Test::More;
    Test::More::plan(skip_all => 'these tests are for testing by the author');
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::NoTabs 0.15

use Test::More 0.88;
use Test::NoTabs;

my @files = (
    'bin/sudo-tar',
    'bin/tails-create-iuk',
    'bin/tails-install-iuk',
    'bin/tails-iuk-check-upgrade-description-file',
    'bin/tails-iuk-generate-upgrade-description-files',
    'bin/tails-iuk-get-target-file',
    'bin/tails-iuk-get-upgrade-description-file',
    'bin/tails-iuk-mktemp-get-target-file',
    'bin/tails-shutdown-network',
    'bin/tails-upgrade-frontend',
    'lib/Tails/IUK.pm',
    'lib/Tails/IUK/Archive/Tar.pm',
    'lib/Tails/IUK/Archive/Tar/Wrapper.pm',
    'lib/Tails/IUK/Frontend.pm',
    'lib/Tails/IUK/Install.pm',
    'lib/Tails/IUK/LWP/UserAgent/WithProgress.pm',
    'lib/Tails/IUK/Read.pm',
    'lib/Tails/IUK/Role/HasCodeset.pm',
    'lib/Tails/IUK/Role/HasEncoding.pm',
    'lib/Tails/IUK/TargetFile/Download.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile/Download.pm',
    'lib/Tails/IUK/UpgradeDescriptionFile/Generate.pm',
    'lib/Tails/IUK/Utils.pm'
);

notabs_ok($_) foreach @files;
done_testing;
